Bug 198391 - Package netdump lacks IPv6 support
Package netdump lacks IPv6 support
Product: Fedora
Classification: Fedora
Component: netdump (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Graf
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
Reported: 2006-07-11 06:23 EDT by Peter Vrabec
Modified: 2014-06-18 04:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 20:37:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 06:23:59 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
This package seems to lack IPv6 support as is illustrated in attached log.
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/netdump-0.7.16/netdumpclient.c:135:  addr.sin_family = AF_INET;
/netdump-0.7.16/netdumpclient.c:350:  addr.sin_family = AF_INET;
/netdump-0.7.16/server.c:444:  master_socket = socket (PF_INET, SOCK_DGRAM,  IPPROTO_IP);
/netdump-0.7.16/server.c:452:  saddr.sin_family = PF_INET;
/netdump-0.7.16/server.c:458:	  if (inet_pton(AF_INET, config.addr, &saddr.sin_addr) <= 0) {
Comment 1 Curtis Doty 2007-04-30 22:11:48 EDT
While you are at it, please make netconsole support 802.1Q vlans too. ;-)

# service netdump start  
initializing netdump FATAL: Module netdump not found.
initializing netconsole FATAL: Error inserting netconsole
(/lib/modules/2.6.20-1.2944.fc6/kernel/drivers/net/netconsole.ko): Unknown error 524
# dmesg |grep netconsole
netconsole: local port 6665
netconsole: local IP
netconsole: interface eth0.6
netconsole: remote port 6666
netconsole: remote IP
netconsole: remote ethernet address 10:00:00:00:00:06
netconsole: eth0.6 doesn't support polling, aborting.
Comment 2 Curtis Doty 2007-04-30 22:18:39 EDT
Just in case any @redhat kernel hackers are considering my RFE, here's the rest
of the setup for this test case...



The netdump-server is, of course, on with no tweaks other than the ssh key.

Apologies if I'm hijacking the IPV6 RFE, but these do seem to go together.
Comment 3 Bug Zapper 2008-04-03 13:40:45 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 20:37:14 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.